IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/80
Addresses2^48
/64 networksPart of one
- Network
2c19:dd:ddc:c25:c022::/80- First address
2c19:dd:ddc:c25:c022::- Last address
2c19:dd:ddc:c25:c022:ffff:ffff:ffff- Addresses
- 281,474,976,710,656 (2^48)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2c19:00dd:0ddc:0c25:c022:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
2.2.0.c.5.2.c.0.c.d.d.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:ddc:c25:c022::/80 makes 256 subnets of /88.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:ddc:c25:c022::/88 | 2c19:dd:ddc:c25:c022:ff:ffff:ffff |
| 2 | 2c19:dd:ddc:c25:c022:100::/88 | 2c19:dd:ddc:c25:c022:1ff:ffff:ffff |
| 3 | 2c19:dd:ddc:c25:c022:200::/88 | 2c19:dd:ddc:c25:c022:2ff:ffff:ffff |
| 4 | 2c19:dd:ddc:c25:c022:300::/88 | 2c19:dd:ddc:c25:c022:3ff:ffff:ffff |
| 5 | 2c19:dd:ddc:c25:c022:400::/88 | 2c19:dd:ddc:c25:c022:4ff:ffff:ffff |
| 6 | 2c19:dd:ddc:c25:c022:500::/88 | 2c19:dd:ddc:c25:c022:5ff:ffff:ffff |
| 7 | 2c19:dd:ddc:c25:c022:600::/88 | 2c19:dd:ddc:c25:c022:6ff:ffff:ffff |
| 8 | 2c19:dd:ddc:c25:c022:700::/88 | 2c19:dd:ddc:c25:c022:7ff:ffff:ffff |
| 9 | 2c19:dd:ddc:c25:c022:800::/88 | 2c19:dd:ddc:c25:c022:8ff:ffff:ffff |
| 10 | 2c19:dd:ddc:c25:c022:900::/88 | 2c19:dd:ddc:c25:c022:9ff:ffff:ffff |
| 11 | 2c19:dd:ddc:c25:c022:a00::/88 | 2c19:dd:ddc:c25:c022:aff:ffff:ffff |
| 12 | 2c19:dd:ddc:c25:c022:b00::/88 | 2c19:dd:ddc:c25:c022:bff:ffff:ffff |
| 13 | 2c19:dd:ddc:c25:c022:c00::/88 | 2c19:dd:ddc:c25:c022:cff:ffff:ffff |
| 14 | 2c19:dd:ddc:c25:c022:d00::/88 | 2c19:dd:ddc:c25:c022:dff:ffff:ffff |
| 15 | 2c19:dd:ddc:c25:c022:e00::/88 | 2c19:dd:ddc:c25:c022:eff:ffff:ffff |
| 16 | 2c19:dd:ddc:c25:c022:f00::/88 | 2c19:dd:ddc:c25:c022:fff:ffff:ffff |
| 17 | 2c19:dd:ddc:c25:c022:1000::/88 | 2c19:dd:ddc:c25:c022:10ff:ffff:ffff |
| 18 | 2c19:dd:ddc:c25:c022:1100::/88 | 2c19:dd:ddc:c25:c022:11ff:ffff:ffff |
| 19 | 2c19:dd:ddc:c25:c022:1200::/88 | 2c19:dd:ddc:c25:c022:12ff:ffff:ffff |
| 20 | 2c19:dd:ddc:c25:c022:1300::/88 | 2c19:dd:ddc:c25:c022:13ff:ffff:ffff |
| 21 | 2c19:dd:ddc:c25:c022:1400::/88 | 2c19:dd:ddc:c25:c022:14ff:ffff:ffff |
| 22 | 2c19:dd:ddc:c25:c022:1500::/88 | 2c19:dd:ddc:c25:c022:15ff:ffff:ffff |
| 23 | 2c19:dd:ddc:c25:c022:1600::/88 | 2c19:dd:ddc:c25:c022:16ff:ffff:ffff |
| 24 | 2c19:dd:ddc:c25:c022:1700::/88 | 2c19:dd:ddc:c25:c022:17ff:ffff:ffff |
| 25 | 2c19:dd:ddc:c25:c022:1800::/88 | 2c19:dd:ddc:c25:c022:18ff:ffff:ffff |
| 26 | 2c19:dd:ddc:c25:c022:1900::/88 | 2c19:dd:ddc:c25:c022:19ff:ffff:ffff |
| 27 | 2c19:dd:ddc:c25:c022:1a00::/88 | 2c19:dd:ddc:c25:c022:1aff:ffff:ffff |
| 28 | 2c19:dd:ddc:c25:c022:1b00::/88 | 2c19:dd:ddc:c25:c022:1bff:ffff:ffff |
| 29 | 2c19:dd:ddc:c25:c022:1c00::/88 | 2c19:dd:ddc:c25:c022:1cff:ffff:ffff |
| 30 | 2c19:dd:ddc:c25:c022:1d00::/88 | 2c19:dd:ddc:c25:c022:1dff:ffff:ffff |
| 31 | 2c19:dd:ddc:c25:c022:1e00::/88 | 2c19:dd:ddc:c25:c022:1eff:ffff:ffff |
| 32 | 2c19:dd:ddc:c25:c022:1f00::/88 | 2c19:dd:ddc:c25:c022:1fff:ffff:ffff |
| 33 | 2c19:dd:ddc:c25:c022:2000::/88 | 2c19:dd:ddc:c25:c022:20ff:ffff:ffff |
| 34 | 2c19:dd:ddc:c25:c022:2100::/88 | 2c19:dd:ddc:c25:c022:21ff:ffff:ffff |
| 35 | 2c19:dd:ddc:c25:c022:2200::/88 | 2c19:dd:ddc:c25:c022:22ff:ffff:ffff |
| 36 | 2c19:dd:ddc:c25:c022:2300::/88 | 2c19:dd:ddc:c25:c022:23ff:ffff:ffff |
| 37 | 2c19:dd:ddc:c25:c022:2400::/88 | 2c19:dd:ddc:c25:c022:24ff:ffff:ffff |
| 38 | 2c19:dd:ddc:c25:c022:2500::/88 | 2c19:dd:ddc:c25:c022:25ff:ffff:ffff |
| 39 | 2c19:dd:ddc:c25:c022:2600::/88 | 2c19:dd:ddc:c25:c022:26ff:ffff:ffff |
| 40 | 2c19:dd:ddc:c25:c022:2700::/88 | 2c19:dd:ddc:c25:c022:27ff:ffff:ffff |
| 41 | 2c19:dd:ddc:c25:c022:2800::/88 | 2c19:dd:ddc:c25:c022:28ff:ffff:ffff |
| 42 | 2c19:dd:ddc:c25:c022:2900::/88 | 2c19:dd:ddc:c25:c022:29ff:ffff:ffff |
| 43 | 2c19:dd:ddc:c25:c022:2a00::/88 | 2c19:dd:ddc:c25:c022:2aff:ffff:ffff |
| 44 | 2c19:dd:ddc:c25:c022:2b00::/88 | 2c19:dd:ddc:c25:c022:2bff:ffff:ffff |
| 45 | 2c19:dd:ddc:c25:c022:2c00::/88 | 2c19:dd:ddc:c25:c022:2cff:ffff:ffff |
| 46 | 2c19:dd:ddc:c25:c022:2d00::/88 | 2c19:dd:ddc:c25:c022:2dff:ffff:ffff |
| 47 | 2c19:dd:ddc:c25:c022:2e00::/88 | 2c19:dd:ddc:c25:c022:2eff:ffff:ffff |
| 48 | 2c19:dd:ddc:c25:c022:2f00::/88 | 2c19:dd:ddc:c25:c022:2fff:ffff:ffff |
| 49 | 2c19:dd:ddc:c25:c022:3000::/88 | 2c19:dd:ddc:c25:c022:30ff:ffff:ffff |
| 50 | 2c19:dd:ddc:c25:c022:3100::/88 | 2c19:dd:ddc:c25:c022:31ff:ffff:ffff |
| 51 | 2c19:dd:ddc:c25:c022:3200::/88 | 2c19:dd:ddc:c25:c022:32ff:ffff:ffff |
| 52 | 2c19:dd:ddc:c25:c022:3300::/88 | 2c19:dd:ddc:c25:c022:33ff:ffff:ffff |
| 53 | 2c19:dd:ddc:c25:c022:3400::/88 | 2c19:dd:ddc:c25:c022:34ff:ffff:ffff |
| 54 | 2c19:dd:ddc:c25:c022:3500::/88 | 2c19:dd:ddc:c25:c022:35ff:ffff:ffff |
| 55 | 2c19:dd:ddc:c25:c022:3600::/88 | 2c19:dd:ddc:c25:c022:36ff:ffff:ffff |
| 56 | 2c19:dd:ddc:c25:c022:3700::/88 | 2c19:dd:ddc:c25:c022:37ff:ffff:ffff |
| 57 | 2c19:dd:ddc:c25:c022:3800::/88 | 2c19:dd:ddc:c25:c022:38ff:ffff:ffff |
| 58 | 2c19:dd:ddc:c25:c022:3900::/88 | 2c19:dd:ddc:c25:c022:39ff:ffff:ffff |
| 59 | 2c19:dd:ddc:c25:c022:3a00::/88 | 2c19:dd:ddc:c25:c022:3aff:ffff:ffff |
| 60 | 2c19:dd:ddc:c25:c022:3b00::/88 | 2c19:dd:ddc:c25:c022:3bff:ffff:ffff |
| 61 | 2c19:dd:ddc:c25:c022:3c00::/88 | 2c19:dd:ddc:c25:c022:3cff:ffff:ffff |
| 62 | 2c19:dd:ddc:c25:c022:3d00::/88 | 2c19:dd:ddc:c25:c022:3dff:ffff:ffff |
| 63 | 2c19:dd:ddc:c25:c022:3e00::/88 | 2c19:dd:ddc:c25:c022:3eff:ffff:ffff |
| 64 | 2c19:dd:ddc:c25:c022:3f00::/88 | 2c19:dd:ddc:c25:c022:3fff:ffff:ffff |
| 65 | 2c19:dd:ddc:c25:c022:4000::/88 | 2c19:dd:ddc:c25:c022:40ff:ffff:ffff |
| 66 | 2c19:dd:ddc:c25:c022:4100::/88 | 2c19:dd:ddc:c25:c022:41ff:ffff:ffff |
| 67 | 2c19:dd:ddc:c25:c022:4200::/88 | 2c19:dd:ddc:c25:c022:42ff:ffff:ffff |
| 68 | 2c19:dd:ddc:c25:c022:4300::/88 | 2c19:dd:ddc:c25:c022:43ff:ffff:ffff |
| 69 | 2c19:dd:ddc:c25:c022:4400::/88 | 2c19:dd:ddc:c25:c022:44ff:ffff:ffff |
| 70 | 2c19:dd:ddc:c25:c022:4500::/88 | 2c19:dd:ddc:c25:c022:45ff:ffff:ffff |
| 71 | 2c19:dd:ddc:c25:c022:4600::/88 | 2c19:dd:ddc:c25:c022:46ff:ffff:ffff |
| 72 | 2c19:dd:ddc:c25:c022:4700::/88 | 2c19:dd:ddc:c25:c022:47ff:ffff:ffff |
| 73 | 2c19:dd:ddc:c25:c022:4800::/88 | 2c19:dd:ddc:c25:c022:48ff:ffff:ffff |
| 74 | 2c19:dd:ddc:c25:c022:4900::/88 | 2c19:dd:ddc:c25:c022:49ff:ffff:ffff |
| 75 | 2c19:dd:ddc:c25:c022:4a00::/88 | 2c19:dd:ddc:c25:c022:4aff:ffff:ffff |
| 76 | 2c19:dd:ddc:c25:c022:4b00::/88 | 2c19:dd:ddc:c25:c022:4bff:ffff:ffff |
| 77 | 2c19:dd:ddc:c25:c022:4c00::/88 | 2c19:dd:ddc:c25:c022:4cff:ffff:ffff |
| 78 | 2c19:dd:ddc:c25:c022:4d00::/88 | 2c19:dd:ddc:c25:c022:4dff:ffff:ffff |
| 79 | 2c19:dd:ddc:c25:c022:4e00::/88 | 2c19:dd:ddc:c25:c022:4eff:ffff:ffff |
| 80 | 2c19:dd:ddc:c25:c022:4f00::/88 | 2c19:dd:ddc:c25:c022:4fff:ffff:ffff |
| 81 | 2c19:dd:ddc:c25:c022:5000::/88 | 2c19:dd:ddc:c25:c022:50ff:ffff:ffff |
| 82 | 2c19:dd:ddc:c25:c022:5100::/88 | 2c19:dd:ddc:c25:c022:51ff:ffff:ffff |
| 83 | 2c19:dd:ddc:c25:c022:5200::/88 | 2c19:dd:ddc:c25:c022:52ff:ffff:ffff |
| 84 | 2c19:dd:ddc:c25:c022:5300::/88 | 2c19:dd:ddc:c25:c022:53ff:ffff:ffff |
| 85 | 2c19:dd:ddc:c25:c022:5400::/88 | 2c19:dd:ddc:c25:c022:54ff:ffff:ffff |
| 86 | 2c19:dd:ddc:c25:c022:5500::/88 | 2c19:dd:ddc:c25:c022:55ff:ffff:ffff |
| 87 | 2c19:dd:ddc:c25:c022:5600::/88 | 2c19:dd:ddc:c25:c022:56ff:ffff:ffff |
| 88 | 2c19:dd:ddc:c25:c022:5700::/88 | 2c19:dd:ddc:c25:c022:57ff:ffff:ffff |
| 89 | 2c19:dd:ddc:c25:c022:5800::/88 | 2c19:dd:ddc:c25:c022:58ff:ffff:ffff |
| 90 | 2c19:dd:ddc:c25:c022:5900::/88 | 2c19:dd:ddc:c25:c022:59ff:ffff:ffff |
| 91 | 2c19:dd:ddc:c25:c022:5a00::/88 | 2c19:dd:ddc:c25:c022:5aff:ffff:ffff |
| 92 | 2c19:dd:ddc:c25:c022:5b00::/88 | 2c19:dd:ddc:c25:c022:5bff:ffff:ffff |
| 93 | 2c19:dd:ddc:c25:c022:5c00::/88 | 2c19:dd:ddc:c25:c022:5cff:ffff:ffff |
| 94 | 2c19:dd:ddc:c25:c022:5d00::/88 | 2c19:dd:ddc:c25:c022:5dff:ffff:ffff |
| 95 | 2c19:dd:ddc:c25:c022:5e00::/88 | 2c19:dd:ddc:c25:c022:5eff:ffff:ffff |
| 96 | 2c19:dd:ddc:c25:c022:5f00::/88 | 2c19:dd:ddc:c25:c022:5fff:ffff:ffff |
| 97 | 2c19:dd:ddc:c25:c022:6000::/88 | 2c19:dd:ddc:c25:c022:60ff:ffff:ffff |
| 98 | 2c19:dd:ddc:c25:c022:6100::/88 | 2c19:dd:ddc:c25:c022:61ff:ffff:ffff |
| 99 | 2c19:dd:ddc:c25:c022:6200::/88 | 2c19:dd:ddc:c25:c022:62ff:ffff:ffff |
| 100 | 2c19:dd:ddc:c25:c022:6300::/88 | 2c19:dd:ddc:c25:c022:63ff:ffff:ffff |
| 101 | 2c19:dd:ddc:c25:c022:6400::/88 | 2c19:dd:ddc:c25:c022:64ff:ffff:ffff |
| 102 | 2c19:dd:ddc:c25:c022:6500::/88 | 2c19:dd:ddc:c25:c022:65ff:ffff:ffff |
| 103 | 2c19:dd:ddc:c25:c022:6600::/88 | 2c19:dd:ddc:c25:c022:66ff:ffff:ffff |
| 104 | 2c19:dd:ddc:c25:c022:6700::/88 | 2c19:dd:ddc:c25:c022:67ff:ffff:ffff |
| 105 | 2c19:dd:ddc:c25:c022:6800::/88 | 2c19:dd:ddc:c25:c022:68ff:ffff:ffff |
| 106 | 2c19:dd:ddc:c25:c022:6900::/88 | 2c19:dd:ddc:c25:c022:69ff:ffff:ffff |
| 107 | 2c19:dd:ddc:c25:c022:6a00::/88 | 2c19:dd:ddc:c25:c022:6aff:ffff:ffff |
| 108 | 2c19:dd:ddc:c25:c022:6b00::/88 | 2c19:dd:ddc:c25:c022:6bff:ffff:ffff |
| 109 | 2c19:dd:ddc:c25:c022:6c00::/88 | 2c19:dd:ddc:c25:c022:6cff:ffff:ffff |
| 110 | 2c19:dd:ddc:c25:c022:6d00::/88 | 2c19:dd:ddc:c25:c022:6dff:ffff:ffff |
| 111 | 2c19:dd:ddc:c25:c022:6e00::/88 | 2c19:dd:ddc:c25:c022:6eff:ffff:ffff |
| 112 | 2c19:dd:ddc:c25:c022:6f00::/88 | 2c19:dd:ddc:c25:c022:6fff:ffff:ffff |
| 113 | 2c19:dd:ddc:c25:c022:7000::/88 | 2c19:dd:ddc:c25:c022:70ff:ffff:ffff |
| 114 | 2c19:dd:ddc:c25:c022:7100::/88 | 2c19:dd:ddc:c25:c022:71ff:ffff:ffff |
| 115 | 2c19:dd:ddc:c25:c022:7200::/88 | 2c19:dd:ddc:c25:c022:72ff:ffff:ffff |
| 116 | 2c19:dd:ddc:c25:c022:7300::/88 | 2c19:dd:ddc:c25:c022:73ff:ffff:ffff |
| 117 | 2c19:dd:ddc:c25:c022:7400::/88 | 2c19:dd:ddc:c25:c022:74ff:ffff:ffff |
| 118 | 2c19:dd:ddc:c25:c022:7500::/88 | 2c19:dd:ddc:c25:c022:75ff:ffff:ffff |
| 119 | 2c19:dd:ddc:c25:c022:7600::/88 | 2c19:dd:ddc:c25:c022:76ff:ffff:ffff |
| 120 | 2c19:dd:ddc:c25:c022:7700::/88 | 2c19:dd:ddc:c25:c022:77ff:ffff:ffff |
| 121 | 2c19:dd:ddc:c25:c022:7800::/88 | 2c19:dd:ddc:c25:c022:78ff:ffff:ffff |
| 122 | 2c19:dd:ddc:c25:c022:7900::/88 | 2c19:dd:ddc:c25:c022:79ff:ffff:ffff |
| 123 | 2c19:dd:ddc:c25:c022:7a00::/88 | 2c19:dd:ddc:c25:c022:7aff:ffff:ffff |
| 124 | 2c19:dd:ddc:c25:c022:7b00::/88 | 2c19:dd:ddc:c25:c022:7bff:ffff:ffff |
| 125 | 2c19:dd:ddc:c25:c022:7c00::/88 | 2c19:dd:ddc:c25:c022:7cff:ffff:ffff |
| 126 | 2c19:dd:ddc:c25:c022:7d00::/88 | 2c19:dd:ddc:c25:c022:7dff:ffff:ffff |
| 127 | 2c19:dd:ddc:c25:c022:7e00::/88 | 2c19:dd:ddc:c25:c022:7eff:ffff:ffff |
| 128 | 2c19:dd:ddc:c25:c022:7f00::/88 | 2c19:dd:ddc:c25:c022:7fff:ffff:ffff |
| 129 | 2c19:dd:ddc:c25:c022:8000::/88 | 2c19:dd:ddc:c25:c022:80ff:ffff:ffff |
| 130 | 2c19:dd:ddc:c25:c022:8100::/88 | 2c19:dd:ddc:c25:c022:81ff:ffff:ffff |
| 131 | 2c19:dd:ddc:c25:c022:8200::/88 | 2c19:dd:ddc:c25:c022:82ff:ffff:ffff |
| 132 | 2c19:dd:ddc:c25:c022:8300::/88 | 2c19:dd:ddc:c25:c022:83ff:ffff:ffff |
| 133 | 2c19:dd:ddc:c25:c022:8400::/88 | 2c19:dd:ddc:c25:c022:84ff:ffff:ffff |
| 134 | 2c19:dd:ddc:c25:c022:8500::/88 | 2c19:dd:ddc:c25:c022:85ff:ffff:ffff |
| 135 | 2c19:dd:ddc:c25:c022:8600::/88 | 2c19:dd:ddc:c25:c022:86ff:ffff:ffff |
| 136 | 2c19:dd:ddc:c25:c022:8700::/88 | 2c19:dd:ddc:c25:c022:87ff:ffff:ffff |
| 137 | 2c19:dd:ddc:c25:c022:8800::/88 | 2c19:dd:ddc:c25:c022:88ff:ffff:ffff |
| 138 | 2c19:dd:ddc:c25:c022:8900::/88 | 2c19:dd:ddc:c25:c022:89ff:ffff:ffff |
| 139 | 2c19:dd:ddc:c25:c022:8a00::/88 | 2c19:dd:ddc:c25:c022:8aff:ffff:ffff |
| 140 | 2c19:dd:ddc:c25:c022:8b00::/88 | 2c19:dd:ddc:c25:c022:8bff:ffff:ffff |
| 141 | 2c19:dd:ddc:c25:c022:8c00::/88 | 2c19:dd:ddc:c25:c022:8cff:ffff:ffff |
| 142 | 2c19:dd:ddc:c25:c022:8d00::/88 | 2c19:dd:ddc:c25:c022:8dff:ffff:ffff |
| 143 | 2c19:dd:ddc:c25:c022:8e00::/88 | 2c19:dd:ddc:c25:c022:8eff:ffff:ffff |
| 144 | 2c19:dd:ddc:c25:c022:8f00::/88 | 2c19:dd:ddc:c25:c022:8fff:ffff:ffff |
| 145 | 2c19:dd:ddc:c25:c022:9000::/88 | 2c19:dd:ddc:c25:c022:90ff:ffff:ffff |
| 146 | 2c19:dd:ddc:c25:c022:9100::/88 | 2c19:dd:ddc:c25:c022:91ff:ffff:ffff |
| 147 | 2c19:dd:ddc:c25:c022:9200::/88 | 2c19:dd:ddc:c25:c022:92ff:ffff:ffff |
| 148 | 2c19:dd:ddc:c25:c022:9300::/88 | 2c19:dd:ddc:c25:c022:93ff:ffff:ffff |
| 149 | 2c19:dd:ddc:c25:c022:9400::/88 | 2c19:dd:ddc:c25:c022:94ff:ffff:ffff |
| 150 | 2c19:dd:ddc:c25:c022:9500::/88 | 2c19:dd:ddc:c25:c022:95ff:ffff:ffff |
| 151 | 2c19:dd:ddc:c25:c022:9600::/88 | 2c19:dd:ddc:c25:c022:96ff:ffff:ffff |
| 152 | 2c19:dd:ddc:c25:c022:9700::/88 | 2c19:dd:ddc:c25:c022:97ff:ffff:ffff |
| 153 | 2c19:dd:ddc:c25:c022:9800::/88 | 2c19:dd:ddc:c25:c022:98ff:ffff:ffff |
| 154 | 2c19:dd:ddc:c25:c022:9900::/88 | 2c19:dd:ddc:c25:c022:99ff:ffff:ffff |
| 155 | 2c19:dd:ddc:c25:c022:9a00::/88 | 2c19:dd:ddc:c25:c022:9aff:ffff:ffff |
| 156 | 2c19:dd:ddc:c25:c022:9b00::/88 | 2c19:dd:ddc:c25:c022:9bff:ffff:ffff |
| 157 | 2c19:dd:ddc:c25:c022:9c00::/88 | 2c19:dd:ddc:c25:c022:9cff:ffff:ffff |
| 158 | 2c19:dd:ddc:c25:c022:9d00::/88 | 2c19:dd:ddc:c25:c022:9dff:ffff:ffff |
| 159 | 2c19:dd:ddc:c25:c022:9e00::/88 | 2c19:dd:ddc:c25:c022:9eff:ffff:ffff |
| 160 | 2c19:dd:ddc:c25:c022:9f00::/88 | 2c19:dd:ddc:c25:c022:9fff:ffff:ffff |
| 161 | 2c19:dd:ddc:c25:c022:a000::/88 | 2c19:dd:ddc:c25:c022:a0ff:ffff:ffff |
| 162 | 2c19:dd:ddc:c25:c022:a100::/88 | 2c19:dd:ddc:c25:c022:a1ff:ffff:ffff |
| 163 | 2c19:dd:ddc:c25:c022:a200::/88 | 2c19:dd:ddc:c25:c022:a2ff:ffff:ffff |
| 164 | 2c19:dd:ddc:c25:c022:a300::/88 | 2c19:dd:ddc:c25:c022:a3ff:ffff:ffff |
| 165 | 2c19:dd:ddc:c25:c022:a400::/88 | 2c19:dd:ddc:c25:c022:a4ff:ffff:ffff |
| 166 | 2c19:dd:ddc:c25:c022:a500::/88 | 2c19:dd:ddc:c25:c022:a5ff:ffff:ffff |
| 167 | 2c19:dd:ddc:c25:c022:a600::/88 | 2c19:dd:ddc:c25:c022:a6ff:ffff:ffff |
| 168 | 2c19:dd:ddc:c25:c022:a700::/88 | 2c19:dd:ddc:c25:c022:a7ff:ffff:ffff |
| 169 | 2c19:dd:ddc:c25:c022:a800::/88 | 2c19:dd:ddc:c25:c022:a8ff:ffff:ffff |
| 170 | 2c19:dd:ddc:c25:c022:a900::/88 | 2c19:dd:ddc:c25:c022:a9ff:ffff:ffff |
| 171 | 2c19:dd:ddc:c25:c022:aa00::/88 | 2c19:dd:ddc:c25:c022:aaff:ffff:ffff |
| 172 | 2c19:dd:ddc:c25:c022:ab00::/88 | 2c19:dd:ddc:c25:c022:abff:ffff:ffff |
| 173 | 2c19:dd:ddc:c25:c022:ac00::/88 | 2c19:dd:ddc:c25:c022:acff:ffff:ffff |
| 174 | 2c19:dd:ddc:c25:c022:ad00::/88 | 2c19:dd:ddc:c25:c022:adff:ffff:ffff |
| 175 | 2c19:dd:ddc:c25:c022:ae00::/88 | 2c19:dd:ddc:c25:c022:aeff:ffff:ffff |
| 176 | 2c19:dd:ddc:c25:c022:af00::/88 | 2c19:dd:ddc:c25:c022:afff:ffff:ffff |
| 177 | 2c19:dd:ddc:c25:c022:b000::/88 | 2c19:dd:ddc:c25:c022:b0ff:ffff:ffff |
| 178 | 2c19:dd:ddc:c25:c022:b100::/88 | 2c19:dd:ddc:c25:c022:b1ff:ffff:ffff |
| 179 | 2c19:dd:ddc:c25:c022:b200::/88 | 2c19:dd:ddc:c25:c022:b2ff:ffff:ffff |
| 180 | 2c19:dd:ddc:c25:c022:b300::/88 | 2c19:dd:ddc:c25:c022:b3ff:ffff:ffff |
| 181 | 2c19:dd:ddc:c25:c022:b400::/88 | 2c19:dd:ddc:c25:c022:b4ff:ffff:ffff |
| 182 | 2c19:dd:ddc:c25:c022:b500::/88 | 2c19:dd:ddc:c25:c022:b5ff:ffff:ffff |
| 183 | 2c19:dd:ddc:c25:c022:b600::/88 | 2c19:dd:ddc:c25:c022:b6ff:ffff:ffff |
| 184 | 2c19:dd:ddc:c25:c022:b700::/88 | 2c19:dd:ddc:c25:c022:b7ff:ffff:ffff |
| 185 | 2c19:dd:ddc:c25:c022:b800::/88 | 2c19:dd:ddc:c25:c022:b8ff:ffff:ffff |
| 186 | 2c19:dd:ddc:c25:c022:b900::/88 | 2c19:dd:ddc:c25:c022:b9ff:ffff:ffff |
| 187 | 2c19:dd:ddc:c25:c022:ba00::/88 | 2c19:dd:ddc:c25:c022:baff:ffff:ffff |
| 188 | 2c19:dd:ddc:c25:c022:bb00::/88 | 2c19:dd:ddc:c25:c022:bbff:ffff:ffff |
| 189 | 2c19:dd:ddc:c25:c022:bc00::/88 | 2c19:dd:ddc:c25:c022:bcff:ffff:ffff |
| 190 | 2c19:dd:ddc:c25:c022:bd00::/88 | 2c19:dd:ddc:c25:c022:bdff:ffff:ffff |
| 191 | 2c19:dd:ddc:c25:c022:be00::/88 | 2c19:dd:ddc:c25:c022:beff:ffff:ffff |
| 192 | 2c19:dd:ddc:c25:c022:bf00::/88 | 2c19:dd:ddc:c25:c022:bfff:ffff:ffff |
| 193 | 2c19:dd:ddc:c25:c022:c000::/88 | 2c19:dd:ddc:c25:c022:c0ff:ffff:ffff |
| 194 | 2c19:dd:ddc:c25:c022:c100::/88 | 2c19:dd:ddc:c25:c022:c1ff:ffff:ffff |
| 195 | 2c19:dd:ddc:c25:c022:c200::/88 | 2c19:dd:ddc:c25:c022:c2ff:ffff:ffff |
| 196 | 2c19:dd:ddc:c25:c022:c300::/88 | 2c19:dd:ddc:c25:c022:c3ff:ffff:ffff |
| 197 | 2c19:dd:ddc:c25:c022:c400::/88 | 2c19:dd:ddc:c25:c022:c4ff:ffff:ffff |
| 198 | 2c19:dd:ddc:c25:c022:c500::/88 | 2c19:dd:ddc:c25:c022:c5ff:ffff:ffff |
| 199 | 2c19:dd:ddc:c25:c022:c600::/88 | 2c19:dd:ddc:c25:c022:c6ff:ffff:ffff |
| 200 | 2c19:dd:ddc:c25:c022:c700::/88 | 2c19:dd:ddc:c25:c022:c7ff:ffff:ffff |
| 201 | 2c19:dd:ddc:c25:c022:c800::/88 | 2c19:dd:ddc:c25:c022:c8ff:ffff:ffff |
| 202 | 2c19:dd:ddc:c25:c022:c900::/88 | 2c19:dd:ddc:c25:c022:c9ff:ffff:ffff |
| 203 | 2c19:dd:ddc:c25:c022:ca00::/88 | 2c19:dd:ddc:c25:c022:caff:ffff:ffff |
| 204 | 2c19:dd:ddc:c25:c022:cb00::/88 | 2c19:dd:ddc:c25:c022:cbff:ffff:ffff |
| 205 | 2c19:dd:ddc:c25:c022:cc00::/88 | 2c19:dd:ddc:c25:c022:ccff:ffff:ffff |
| 206 | 2c19:dd:ddc:c25:c022:cd00::/88 | 2c19:dd:ddc:c25:c022:cdff:ffff:ffff |
| 207 | 2c19:dd:ddc:c25:c022:ce00::/88 | 2c19:dd:ddc:c25:c022:ceff:ffff:ffff |
| 208 | 2c19:dd:ddc:c25:c022:cf00::/88 | 2c19:dd:ddc:c25:c022:cfff:ffff:ffff |
| 209 | 2c19:dd:ddc:c25:c022:d000::/88 | 2c19:dd:ddc:c25:c022:d0ff:ffff:ffff |
| 210 | 2c19:dd:ddc:c25:c022:d100::/88 | 2c19:dd:ddc:c25:c022:d1ff:ffff:ffff |
| 211 | 2c19:dd:ddc:c25:c022:d200::/88 | 2c19:dd:ddc:c25:c022:d2ff:ffff:ffff |
| 212 | 2c19:dd:ddc:c25:c022:d300::/88 | 2c19:dd:ddc:c25:c022:d3ff:ffff:ffff |
| 213 | 2c19:dd:ddc:c25:c022:d400::/88 | 2c19:dd:ddc:c25:c022:d4ff:ffff:ffff |
| 214 | 2c19:dd:ddc:c25:c022:d500::/88 | 2c19:dd:ddc:c25:c022:d5ff:ffff:ffff |
| 215 | 2c19:dd:ddc:c25:c022:d600::/88 | 2c19:dd:ddc:c25:c022:d6ff:ffff:ffff |
| 216 | 2c19:dd:ddc:c25:c022:d700::/88 | 2c19:dd:ddc:c25:c022:d7ff:ffff:ffff |
| 217 | 2c19:dd:ddc:c25:c022:d800::/88 | 2c19:dd:ddc:c25:c022:d8ff:ffff:ffff |
| 218 | 2c19:dd:ddc:c25:c022:d900::/88 | 2c19:dd:ddc:c25:c022:d9ff:ffff:ffff |
| 219 | 2c19:dd:ddc:c25:c022:da00::/88 | 2c19:dd:ddc:c25:c022:daff:ffff:ffff |
| 220 | 2c19:dd:ddc:c25:c022:db00::/88 | 2c19:dd:ddc:c25:c022:dbff:ffff:ffff |
| 221 | 2c19:dd:ddc:c25:c022:dc00::/88 | 2c19:dd:ddc:c25:c022:dcff:ffff:ffff |
| 222 | 2c19:dd:ddc:c25:c022:dd00::/88 | 2c19:dd:ddc:c25:c022:ddff:ffff:ffff |
| 223 | 2c19:dd:ddc:c25:c022:de00::/88 | 2c19:dd:ddc:c25:c022:deff:ffff:ffff |
| 224 | 2c19:dd:ddc:c25:c022:df00::/88 | 2c19:dd:ddc:c25:c022:dfff:ffff:ffff |
| 225 | 2c19:dd:ddc:c25:c022:e000::/88 | 2c19:dd:ddc:c25:c022:e0ff:ffff:ffff |
| 226 | 2c19:dd:ddc:c25:c022:e100::/88 | 2c19:dd:ddc:c25:c022:e1ff:ffff:ffff |
| 227 | 2c19:dd:ddc:c25:c022:e200::/88 | 2c19:dd:ddc:c25:c022:e2ff:ffff:ffff |
| 228 | 2c19:dd:ddc:c25:c022:e300::/88 | 2c19:dd:ddc:c25:c022:e3ff:ffff:ffff |
| 229 | 2c19:dd:ddc:c25:c022:e400::/88 | 2c19:dd:ddc:c25:c022:e4ff:ffff:ffff |
| 230 | 2c19:dd:ddc:c25:c022:e500::/88 | 2c19:dd:ddc:c25:c022:e5ff:ffff:ffff |
| 231 | 2c19:dd:ddc:c25:c022:e600::/88 | 2c19:dd:ddc:c25:c022:e6ff:ffff:ffff |
| 232 | 2c19:dd:ddc:c25:c022:e700::/88 | 2c19:dd:ddc:c25:c022:e7ff:ffff:ffff |
| 233 | 2c19:dd:ddc:c25:c022:e800::/88 | 2c19:dd:ddc:c25:c022:e8ff:ffff:ffff |
| 234 | 2c19:dd:ddc:c25:c022:e900::/88 | 2c19:dd:ddc:c25:c022:e9ff:ffff:ffff |
| 235 | 2c19:dd:ddc:c25:c022:ea00::/88 | 2c19:dd:ddc:c25:c022:eaff:ffff:ffff |
| 236 | 2c19:dd:ddc:c25:c022:eb00::/88 | 2c19:dd:ddc:c25:c022:ebff:ffff:ffff |
| 237 | 2c19:dd:ddc:c25:c022:ec00::/88 | 2c19:dd:ddc:c25:c022:ecff:ffff:ffff |
| 238 | 2c19:dd:ddc:c25:c022:ed00::/88 | 2c19:dd:ddc:c25:c022:edff:ffff:ffff |
| 239 | 2c19:dd:ddc:c25:c022:ee00::/88 | 2c19:dd:ddc:c25:c022:eeff:ffff:ffff |
| 240 | 2c19:dd:ddc:c25:c022:ef00::/88 | 2c19:dd:ddc:c25:c022:efff:ffff:ffff |
| 241 | 2c19:dd:ddc:c25:c022:f000::/88 | 2c19:dd:ddc:c25:c022:f0ff:ffff:ffff |
| 242 | 2c19:dd:ddc:c25:c022:f100::/88 | 2c19:dd:ddc:c25:c022:f1ff:ffff:ffff |
| 243 | 2c19:dd:ddc:c25:c022:f200::/88 | 2c19:dd:ddc:c25:c022:f2ff:ffff:ffff |
| 244 | 2c19:dd:ddc:c25:c022:f300::/88 | 2c19:dd:ddc:c25:c022:f3ff:ffff:ffff |
| 245 | 2c19:dd:ddc:c25:c022:f400::/88 | 2c19:dd:ddc:c25:c022:f4ff:ffff:ffff |
| 246 | 2c19:dd:ddc:c25:c022:f500::/88 | 2c19:dd:ddc:c25:c022:f5ff:ffff:ffff |
| 247 | 2c19:dd:ddc:c25:c022:f600::/88 | 2c19:dd:ddc:c25:c022:f6ff:ffff:ffff |
| 248 | 2c19:dd:ddc:c25:c022:f700::/88 | 2c19:dd:ddc:c25:c022:f7ff:ffff:ffff |
| 249 | 2c19:dd:ddc:c25:c022:f800::/88 | 2c19:dd:ddc:c25:c022:f8ff:ffff:ffff |
| 250 | 2c19:dd:ddc:c25:c022:f900::/88 | 2c19:dd:ddc:c25:c022:f9ff:ffff:ffff |
| 251 | 2c19:dd:ddc:c25:c022:fa00::/88 | 2c19:dd:ddc:c25:c022:faff:ffff:ffff |
| 252 | 2c19:dd:ddc:c25:c022:fb00::/88 | 2c19:dd:ddc:c25:c022:fbff:ffff:ffff |
| 253 | 2c19:dd:ddc:c25:c022:fc00::/88 | 2c19:dd:ddc:c25:c022:fcff:ffff:ffff |
| 254 | 2c19:dd:ddc:c25:c022:fd00::/88 | 2c19:dd:ddc:c25:c022:fdff:ffff:ffff |
| 255 | 2c19:dd:ddc:c25:c022:fe00::/88 | 2c19:dd:ddc:c25:c022:feff:ffff:ffff |
| 256 | 2c19:dd:ddc:c25:c022:ff00::/88 | 2c19:dd:ddc:c25:c022:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |